import { OutdatedPackage } from '@pnpm/outdated';
import { SEMVER_CHANGE } from '@pnpm/semver-diff';
export declare type OutdatedWithVersionDiff = OutdatedPackage & {
    change: SEMVER_CHANGE | null;
    diff?: [string[], string[]];
};
/**
 * Default comparators used as the argument to `ramda.sortWith()`.
 */
export declare const DEFAULT_COMPARATORS: (typeof sortBySemverChange)[];
export declare function sortBySemverChange(outdated1: OutdatedWithVersionDiff, outdated2: OutdatedWithVersionDiff): number;
